{ config, pkgs, ... }:

let
  albert_autostart = (pkgs.makeAutostartItem {
    name    = "albert";
    package = pkgs.albert;
  });
  guake_autostart = (pkgs.makeAutostartItem {
    name    = "guake";
    package = pkgs.guake;
  });
in 
  {
    imports = [ 
      ./zsh.nix 
      ./code.nix 
      ./git.nix
      ./gnome.nix
      ./ssh.nix
    ];


    home = {
      stateVersion     = "21.05";
      sessionVariables = {
        EDITOR = "nvim";
        VISUAL = "nvim";
      };

      packages = with pkgs; [
        albert
        guake

        firefox
        brave
        chromium

        rizin

        nmap 

        slack
        signal-desktop
        teams
        discord
        element-desktop

        spotify

        bind

        gparted
        sshfs

        libreoffice

        albert_autostart
        guake_autostart
      ];
    };

    programs = {
      direnv = {
        enable = true;
        nix-direnv.enable = true;
        nix-direnv.enableFlakes = true;
      };
    };
  }
